
Application: gvSIG desktop - gvSIG bugs #1920
Adapting to PostGIS 2.0
06/19/2013 08:46 AM - Ignacio Brodín

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Database
Target version:
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2217 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Now, vector layers in PostGIS 2.0 cannot be loaded in gvSIG v2.

History
#1 - 06/19/2013 09:19 AM - Ignacio Brodín

Steps to migrate:
1- Adapt old functions that have been deprecated to the new ones
2- Modify the WKB reader to load 3D geometries. Be careful, the 2D layers are loaded with two dimensions in the database but 3D layers with four
dimensions 3D+M. Now gvSIG 2 does not have the M dimension.
3- Modify the getFeatureType of this provider. Now, if the layer is 3D+M it will return the type GEOM3DM. This type is defined, but does not exist an
implementation, so gvSIG crashes.
4- Now, the writer send 2D geometries using the WKB writer in JTS library. We have to send geometries in 3D if the layer is edited.

#2 - 06/24/2013 04:41 PM - Ignacio Brodín

I tested the result in PostGIS 2.0 and 1.5 editing layers polylines and polygons 2D 3D. The Z coordinate cannot be change but if you modify a
geometry, preserve the old value. If you create new geometries the Z is always zero.
gvsig-desktop:r40415
gvsig-desktop:r40416
gvsig-desktop:r40417
#3 - 06/24/2013 04:41 PM - Ignacio Brodín
- Status changed from New to Fixed

#4 - 06/26/2013 09:17 AM - Cesar Ordiñana

Nacho, thanks for adding that new capability to gvSIG! It is a very nice addition, as each day more users are using the PostGIS 2.0 version, and I think
it is a must.
Only a small note: in the r:40415 of the WKBParser3.java file, you added a System.out.println sentence. Please, remove it or replace it with a call to a
SLF4J logger call whenever you can.

#5 - 01/28/2014 09:29 AM - Álvaro Anguix
- Status changed from Fixed to Closed

#6 - 01/28/2014 10:00 AM - Álvaro Anguix
- Status changed from Closed to New
- Target version changed from 2.1.0-2217-devel to 2.1.0-2218-testing
- gvSIG version changed from 2.0.0 to 2.1.0
- gvSIG build set to 2217

Lo que comenta César parece que no está hecho

#7 - 01/28/2014 12:56 PM - Ignacio Brodín
- Status changed from New to Fixed
- Target version deleted (2.1.0-2218-testing)
- gvSIG version changed from 2.1.0 to 2.0.0

#8 - 01/28/2014 01:09 PM - Álvaro Anguix
- Status changed from Fixed to Closed
